<?php

namespace xenarabia\winterfragrance;

use XF\Mvc\Entity\Entity;

class Listener
{
    public static function getWfStyleWidth(\XF\Template\Templater $templater, &$type, &$template, array &$params)
    {

        $request = \XF::app()->container('request');
        $cookies = $request->getCookies();
        $styleWidth = isset($cookies['wf_style_width']) ? $cookies['wf_style_width']  : "";
        $params['styleWidth'] = $styleWidth;
    }


    public static function getWfBgColor(\XF\Template\Templater $templater, &$type, &$template, array &$params)
    {

        $request = \XF::app()->container('request');
        $cookies = $request->getCookies();
        $bgColor = isset($cookies['wf_bg_color']) ? $cookies['wf_bg_color']  : "";
        $params['bgColor'] = $bgColor;
    }

    public static function getWfSideBarState(\XF\Template\Templater $templater, &$type, &$template, array &$params)
    {

        $request = \XF::app()->container('request');
        $cookies = $request->getCookies();
        $sidebarShowHide = isset($cookies['wf_showhide_sidebar']) ? $cookies['wf_showhide_sidebar']  : "";
        $sidebarWidth = isset($cookies['wf_width_sidebar']) ? $cookies['wf_width_sidebar']  : "";
        $params['sidebarState'] =
            [
                'sidebarShowHide' => $sidebarShowHide,
                'sidebarWidth' => $sidebarWidth
            ];
    }
}
